# Create an entity

Creates a new entity.

Endpoint: POST /v1alpha/entities
Version: v1alpha
Security: oauth2_client_credentials, oauth2_authorization_code

## Query parameters:

  - `entityId` (string)
    Optional. The ID to use for the entity, which will become the final component of
 the entity's resource name. This value should be 4-63 characters,
 and valid characters are /[a-z][0-9]-/.

## Request fields (application/json):

  - `company` (object, required)

  - `company.type` (string, required)
    Enum: "COMPANY_TYPE_UNSPECIFIED", "PUBLIC_COMPANY", "PRIVATE_COMPANY", "NON_PROFIT", "GOVERNMENTAL_ORG", "ASSOCIATION_INCORPORATION"

  - `company.industry` (string)
    (OPTIONAL)

  - `company.contacts` (array)
    (OPTIONAL) Key contact details for the company.

  - `company.contacts.role` (string)
    (OPTIONAL) The role of the contact point such as CTO or Support Team.

  - `company.contacts.displayName` (string)
    (OPTIONAL) Human-readable display name of the contact such as John Doe

  - `company.contacts.contactType` (string)
    (OPTIONAL) The type of contact e.g. 'Risk Contact', 'Primary Contact', 'Sales Contact'.

  - `company.contacts.emailAddress` (string)
    (OPTIONAL) Email address for the contact.

  - `company.contacts.phoneNumber` (string)
    (OPTIONAL) Phone number for the contact.

  - `individual` (object, required)

  - `individual.title` (string)
    (OPTIONAL) Optional. The individual's title, e.g., "Mr.", "Dr.".

  - `individual.givenName` (string)
    (OPTIONAL) Optional. The individual's given name.

  - `individual.middleName` (string)
    (OPTIONAL) Optional. The individual's middle name or initial.

  - `individual.familyName` (string)
    (OPTIONAL) Optional. The individual's family name.

  - `individual.birthDate` (object)
    Represents a whole or partial calendar date, such as a birthday. The time of
day and time zone are either specified elsewhere or are insignificant. The
date is relative to the Gregorian Calendar. This can represent one of the
following:
* A full date, with non-zero year, month, and day values
* A month and day value, with a zero year, such as an anniversary
* A year on its own, with zero month and day values
* A year and month value, with a zero day, such as a credit card expiration
date

Related types are [google.type.TimeOfDay][google.type.TimeOfDay] and
`google.protobuf.Timestamp`.

  - `individual.birthDate.year` (integer)
    Year of the date. Must be from 1 to 9999, or 0 to specify a date without
 a year.

  - `individual.birthDate.month` (integer)
    Month of a year. Must be from 1 to 12, or 0 to specify a year without a
 month and day.

  - `individual.birthDate.day` (integer)
    Day of a month. Must be from 1 to 31 and valid for the year and month, or 0
 to specify a year by itself or a year and month where the day isn't
 significant.

  - `individual.birthPlace` (string)
    (OPTIONAL)

  - `individual.gender` (string)
    Enum: "GENDER_UNSPECIFIED", "MALE", "FEMALE", "OTHER"

  - `individual.nationality` (string)
    (OPTIONAL)

  - `individual.residenceCountry` (string)
    (OPTIONAL)

  - `individual.citizenshipCountry` (array)
    (OPTIONAL)

  - `individual.occupation` (string)
    (OPTIONAL)

  - `individual.employer` (string)
    (OPTIONAL)

  - `individual.alias` (string)
    (OPTIONAL)

  - `trust` (object, required)

  - `trust.type` (string)
    Enum: "TRUST_TYPE_UNSPECIFIED", "SPECIAL_DISABILITY", "DECEASED_ESTATE", "HYBRID_TRUST", "FIXED_TRUST", "DISCRETIONARY_TRUST", "CASH_MANAGEMENT_UNIT_TRUST", "PUBLIC_UNIT_TRUST", "FIXED_UNIT_TRUST"

  - `trust.trust` (string)
    (OPTIONAL)

  - `trust.settler` (string)
    (OPTIONAL)

  - `trust.trustee` (string)
    (OPTIONAL)

  - `trust.deed` (string)
    (OPTIONAL)

## Response 200 fields (application/json):

  - `company` (object, required)

  - `company.type` (string, required)
    Enum: "COMPANY_TYPE_UNSPECIFIED", "PUBLIC_COMPANY", "PRIVATE_COMPANY", "NON_PROFIT", "GOVERNMENTAL_ORG", "ASSOCIATION_INCORPORATION"

  - `company.industry` (string)
    (OPTIONAL)

  - `company.contacts` (array)
    (OPTIONAL) Key contact details for the company.

  - `company.contacts.role` (string)
    (OPTIONAL) The role of the contact point such as CTO or Support Team.

  - `company.contacts.displayName` (string)
    (OPTIONAL) Human-readable display name of the contact such as John Doe

  - `company.contacts.contactType` (string)
    (OPTIONAL) The type of contact e.g. 'Risk Contact', 'Primary Contact', 'Sales Contact'.

  - `company.contacts.emailAddress` (string)
    (OPTIONAL) Email address for the contact.

  - `company.contacts.phoneNumber` (string)
    (OPTIONAL) Phone number for the contact.

  - `individual` (object, required)

  - `individual.title` (string)
    (OPTIONAL) Optional. The individual's title, e.g., "Mr.", "Dr.".

  - `individual.givenName` (string)
    (OPTIONAL) Optional. The individual's given name.

  - `individual.middleName` (string)
    (OPTIONAL) Optional. The individual's middle name or initial.

  - `individual.familyName` (string)
    (OPTIONAL) Optional. The individual's family name.

  - `individual.birthDate` (object)
    Represents a whole or partial calendar date, such as a birthday. The time of
day and time zone are either specified elsewhere or are insignificant. The
date is relative to the Gregorian Calendar. This can represent one of the
following:
* A full date, with non-zero year, month, and day values
* A month and day value, with a zero year, such as an anniversary
* A year on its own, with zero month and day values
* A year and month value, with a zero day, such as a credit card expiration
date

Related types are [google.type.TimeOfDay][google.type.TimeOfDay] and
`google.protobuf.Timestamp`.

  - `individual.birthDate.year` (integer)
    Year of the date. Must be from 1 to 9999, or 0 to specify a date without
 a year.

  - `individual.birthDate.month` (integer)
    Month of a year. Must be from 1 to 12, or 0 to specify a year without a
 month and day.

  - `individual.birthDate.day` (integer)
    Day of a month. Must be from 1 to 31 and valid for the year and month, or 0
 to specify a year by itself or a year and month where the day isn't
 significant.

  - `individual.birthPlace` (string)
    (OPTIONAL)

  - `individual.gender` (string)
    Enum: "GENDER_UNSPECIFIED", "MALE", "FEMALE", "OTHER"

  - `individual.nationality` (string)
    (OPTIONAL)

  - `individual.residenceCountry` (string)
    (OPTIONAL)

  - `individual.citizenshipCountry` (array)
    (OPTIONAL)

  - `individual.occupation` (string)
    (OPTIONAL)

  - `individual.employer` (string)
    (OPTIONAL)

  - `individual.alias` (string)
    (OPTIONAL)

  - `trust` (object, required)

  - `trust.type` (string)
    Enum: "TRUST_TYPE_UNSPECIFIED", "SPECIAL_DISABILITY", "DECEASED_ESTATE", "HYBRID_TRUST", "FIXED_TRUST", "DISCRETIONARY_TRUST", "CASH_MANAGEMENT_UNIT_TRUST", "PUBLIC_UNIT_TRUST", "FIXED_UNIT_TRUST"

  - `trust.trust` (string)
    (OPTIONAL)

  - `trust.settler` (string)
    (OPTIONAL)

  - `trust.trustee` (string)
    (OPTIONAL)

  - `trust.deed` (string)
    (OPTIONAL)

